Loading...
Searching...
No Matches
sensors::AlertedSensorManager::SensorData Struct Reference

Data about a monitored sensor. More...

`import "AlertedSensorManager.idl";`

## Public Attributes

Sensor | sensor
| Reference to the sensor object.
Object | parent
| Reference to the sensor's parent object.
AlertState | alertState
| Current alert state of the sensor.

## Detailed Description

Data about a monitored sensor.

All entries include a reference to the sensor's parent object (e.g. an inlet or a peripheral device slot), allowing a client to identify an unknown alerted sensor with just a few RPC calls.

Definition at line 40 of file AlertedSensorManager.idl.

## Member Data Documentation

## alertState

AlertState sensors::AlertedSensorManager::SensorData::alertState

Current alert state of the sensor.

Definition at line 43 of file AlertedSensorManager.idl.

## parent

Object sensors::AlertedSensorManager::SensorData::parent

Reference to the sensor's parent object.

Definition at line 42 of file AlertedSensorManager.idl.

## sensor

Sensor sensors::AlertedSensorManager::SensorData::sensor

Reference to the sensor object.

Definition at line 41 of file AlertedSensorManager.idl.

The documentation for this struct was generated from the following file:

- AlertedSensorManager.idl